using DiunaBI.Domain.Entities;

namespace DiunaBI.Infrastructure.Interfaces;

public interface IDataProcessor
{
    string ProcessorType { get; }
    
    bool CanProcess(string processorType);
    void Process(Layer processWorker);
}